const mongoose = require("mongoose");
const { v4: uuidv4 } = require("uuid");

const AppointmentSchema = new mongoose.Schema({
  appointmentId: { type: String, required: true, unique: true, default: uuidv4 },
  facultyId: { type: String, required: true },
  facultyName: { type: String, required: true },
  courseId: { type: String, required: true },
  courseName: { type: String, required: true },
  task: { type: String, required: true },
  examPeriod: { type: String, required: true },
  academicYear: {type: String, required: true},
});

module.exports = mongoose.model("Appointment", AppointmentSchema);



